package org.itscool.stylist.io;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import org.itscool.stylist.tag.HtmlTag;

/**
 * XHTMLに含まれるコメント情報を応答データに変換します
 * @author kano
 * @version 1.00A 2006/08/09 新規作成
 */
public class HtmlCommentConverter extends HtmlConverter {
//    /**
//     * インスタンスの初期化を行います
//     * @param context ServletContextインスタンス
//     * @param req HttpServletRequestインスタンス
//     */
//    public HtmlCommentConverter(ServletContext context, HttpServletRequest req) {
//        super(context, req);
//    }
    
    /**
     * 応答用のXHTMLデータの作成を開始します
     * @param node HtmlTagインスタンス
     * @return 応答データ
     */
    public String convert(HtmlTag node, String tab) {
//        HtmlAttributeConverter attrCnv = new HtmlAttributeConverter(context, req);
        HtmlAttributeConverter attrCnv = new HtmlAttributeConverter();
        attrCnv.init(context, req);
        String tagName = node.getTagName();
        HtmlTag parent = node.getParent();
        StringBuffer sb = new StringBuffer();
        sb.append(tab);
        sb.append("<!--");
        if(parent != null && parent.getTagName().equals("script")){
            sb.append(LINE);
        }
        sb.append(tagName);
        sb.append(attrCnv.convert(node));
        sb.append("-->").append(LINE);
        int size = node.size();
        for(int i=0; i<size; i++ ){
            HtmlTag child = (HtmlTag)node.get(i);
            sb.append(super.convert(child, tab + "  "));
        }
        return sb.toString();
    }
}
